BackendHTTP APIProviders

Get a provider

Response example

Example Response
{
  "data": {
    "name": "hubspot",
    "logo_url": "https://app.tenklo.dev/images/template-logos/hubspot.svg",
    "display_name": "HubSpot",
    "categories": ["marketing","support","crm"],
    "auth_mode": "OAUTH2",
    "authorization_url": "https://app.hubspot.com/oauth/authorize",
    "token_url": "https://api.hubapi.com/oauth/v1/token",
    "connection_configuration": ["portalId"],
    "post_connection_script": "hubspotPostConnection",
    "webhook_routing_script": "hubspotWebhookRouting",
    "proxy": {
      "base_url": "https://api.hubapi.com",
      "decompress": true,
      "paginate": {
        "type": "cursor",
        "cursor_path_in_response": "paging.next.after",
        "limit_name_in_request": "limit",
        "cursor_name_in_request": "after",
        "response_path": "results"
      }
    },
    "docs": "https://docs.tenklo.dev/api-integrations/hubspot"
  }
}
GET
/providers/{provider}

Returns a specific provider

Authorization

bearerAuth
headerAuthorizationBearer <token>

An Environment API key from your Tenklo environment, or an Account API key for account-level endpoints.

Path Parameters

provider*string

The provider name

Response Body

Successfully returned a specific provider

application/json
  1. response
data*||
Example Request
curl -X GET 'https://api.tenklo.dev/providers/string'
Example Response
{  "data": {    "name": "string",    "display_name": "string",    "auth_mode": "OAUTH1",    "proxy": {      "base_url": "string",      "headers": {},      "query": {        "api_key": "string"      },      "retry": {        "at": "string",        "after": "string"      },      "decompress": true,      "paginate": null,      "verification": {        "method": "string",        "endpoint": "string",        "base_url_override": "string",        "headers": {}      }    },    "authorization_url": "string",    "authorization_url_encode": true,    "access_token_url": "string",    "token_url_encode": true,    "authorization_params": {},    "scope_separator": "string",    "default_scopes": [      "string"    ],    "token_url": "string",    "token_params": {},    "authorization_url_replacements": {},    "authorization_url_fragment": "string",    "redirect_uri_metadata": [      "string"    ],    "token_response_metadata": [      "string"    ],    "docs": "string",    "token_expiration_buffer": 0,    "webhook_routing_script": "string",    "webhook_user_defined_secret": true,    "post_connection_script": "string",    "pre_connection_deletion_script": "string",    "categories": [      "string"    ],    "connection_configuration": [      "string"    ],    "connection_config": {      "type": "string",      "title": "string",      "description": "string",      "example": "string",      "pattern": "string",      "format": "string"    },    "credentials": {      "apiKey": {        "type": "string",        "title": "string",        "description": "string",        "example": "string",        "pattern": "string",        "format": "string"      }    }  }}